Create a portal session for a billing account
curl --request POST \
--url https://api.withampersand.com/v1/billingAccounts/{billingAccountId}/portalSession \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"redirectUrl": "https://dashboard.withampersand.com/the-current-page",
"timeout": 3600
}
'import requests
url = "https://api.withampersand.com/v1/billingAccounts/{billingAccountId}/portalSession"
payload = {
"redirectUrl": "https://dashboard.withampersand.com/the-current-page",
"timeout": 3600
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirectUrl: 'https://dashboard.withampersand.com/the-current-page',
timeout: 3600
})
};
fetch('https://api.withampersand.com/v1/billingAccounts/{billingAccountId}/portalSession', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://billing.portal.com/customer/session"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Billing Account
Create a portal session for a billing account
POST
/
billingAccounts
/
{billingAccountId}
/
portalSession
Create a portal session for a billing account
Authorizations
APIKeyHeaderBearer
Path Parameters
Body
application/json
Response
OK
The URL to redirect to in order to start the portal session.
Example:
"https://billing.portal.com/customer/session"
Was this page helpful?
⌘I

